# $Revision: 1.3 $, $Date: 2010/07/09 17:24:56 $
Summary:	Python library for OAuth version 1.0a
Name:		python-oauth
Version:	1.0.1
Release:	2
License:	MIT
Group:		Development/Languages
URL:		http://code.google.com/p/oauth/
Source0:	http://pypi.python.org/packages/source/o/oauth/oauth-%{version}.tar.gz
# Source0-md5:	30ed3cc8c11d7841a89feab437aabf81
BuildRequires:	python-devel
BuildRequires:	python-distribute
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python library for OAuth version 1.0a.

%prep
%setup -q -n oauth-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--skip-build \
	--root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt
%{py_sitescriptdir}/oauth-%{version}-py*.egg-info
%{py_sitescriptdir}/oauth

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-oauth.spec,v $
Revision 1.3  2010/07/09 17:24:56  wiget
- rel. 2

Revision 1.2  2010/05/22 19:37:48  sparky
- BR: python-modules, rpm-pythonprov

Revision 1.1  2010/05/22 09:53:08  patrys
- initial PLD release

